Ubuntu

Epiphany breaks after Firefox update to 1.0.6 in Warty

Reported by Mathias De Belder on 2005-07-28
10
Affects Status Importance Assigned to Milestone
epiphany-browser (Ubuntu)
Medium
Sebastien Bacher

Bug Description

System: ubuntu warty (4.10)
Package affected: epiphany-browser (1.4.4-0ubuntu2)

After the security update usn-155-1
(https://www.ubuntulinux.org/support/documentation/usn/usn-155-1), which updates
Mozilla to version 1.7.10, and security update usn 149-3
(https://www.ubuntulinux.org/support/documentation/usn/usn-149-3), which updates
Firefox from version 0.9.3 to version 1.0.6, Epiphany fails to show the context
menu when right-clicking on a page and fails to open a link in a new tab when
middle-mousebutton clicking on an URL. This did work flawlessly before the
updates of both mozilla and firefox.

I think the API in mozilla 1.7.10 has changed somewhat from version 1.7.3 that
shipped originally with warty. Epiphany (and Galeon too) are compiled against
the mozilla sources. Epiphany should be recompiled against the updated mozilla
package and be rereleased.

Expected results: programs like Epiphany shouldn't fail after a security update
of mozilla/firefox, full binary compatibility should be maintained.

Martin Pitt (pitti) wrote :

 epiphany-browser (1.4.4-0ubuntu2.1) warty-security; urgency=low
 .
   * Rebuild against new Mozilla API (Ubuntu #13041).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.